Bug 1221968 - [abrt] gnome-software: g_hash_table_lookup_node(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: g_hash_table_lookup_node(): gnome-software killed by S...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 22
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e5e1ac26fedec274dec9f4161f0...
Depends On:
Blocks: F22FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2015-05-15 11:13 UTC by Mikhail
Modified: 2015-05-19 00:00 UTC (History)
3 users (show)

Fixed In Version: gnome-software-3.16.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-19 00:00:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (31.66 KB, text/plain)
2015-05-15 11:13 UTC, Mikhail
no flags Details
File: cgroup (177 bytes, text/plain)
2015-05-15 11:13 UTC, Mikhail
no flags Details
File: core_backtrace (10.50 KB, text/plain)
2015-05-15 11:13 UTC, Mikhail
no flags Details
File: dso_list (11.12 KB, text/plain)
2015-05-15 11:13 UTC, Mikhail
no flags Details
File: environ (1.07 KB, text/plain)
2015-05-15 11:13 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-05-15 11:13 UTC, Mikhail
no flags Details
File: maps (38.25 KB, text/plain)
2015-05-15 11:13 UTC, Mikhail
no flags Details
File: mountinfo (3.23 KB, text/plain)
2015-05-15 11:13 UTC, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-05-15 11:13 UTC, Mikhail
no flags Details
File: open_fds (2.10 KB, text/plain)
2015-05-15 11:14 UTC, Mikhail
no flags Details
File: proc_pid_status (823 bytes, text/plain)
2015-05-15 11:14 UTC, Mikhail
no flags Details
File: var_log_messages (632 bytes, text/plain)
2015-05-15 11:14 UTC, Mikhail
no flags Details

Description Mikhail 2015-05-15 11:13:44 UTC
Version-Release number of selected component:
gnome-software-3.16.2-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_hash_table_lookup_node
executable:     /usr/bin/gnome-software
global_pid:     2055
kernel:         4.0.3-300.fc22.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_hash_table_lookup_node at ghash.c:373
 #1 g_hash_table_lookup at ghash.c:1147
 #2 lookup_cached_xatom at gdkproperty-x11.c:163
 #3 gdk_x11_atom_to_xatom_for_display at gdkproperty-x11.c:196
 #4 gdk_x11_get_xatom_by_name_for_display at gdkproperty-x11.c:358
 #5 gdk_x11_display_set_startup_notification_id at gdkdisplay-x11.c:2407
 #6 install_resources_activated at gs-application.c:463
 #7 g_cclosure_marshal_VOID__VARIANT at gmarshal.c:2140
 #12 g_simple_action_activate at gsimpleaction.c:225
 #13 g_action_activate at gaction.c:397

Comment 1 Mikhail 2015-05-15 11:13:47 UTC
Created attachment 1025747 [details]
File: backtrace

Comment 2 Mikhail 2015-05-15 11:13:48 UTC
Created attachment 1025748 [details]
File: cgroup

Comment 3 Mikhail 2015-05-15 11:13:50 UTC
Created attachment 1025749 [details]
File: core_backtrace

Comment 4 Mikhail 2015-05-15 11:13:51 UTC
Created attachment 1025750 [details]
File: dso_list

Comment 5 Mikhail 2015-05-15 11:13:53 UTC
Created attachment 1025751 [details]
File: environ

Comment 6 Mikhail 2015-05-15 11:13:54 UTC
Created attachment 1025752 [details]
File: limits

Comment 7 Mikhail 2015-05-15 11:13:56 UTC
Created attachment 1025753 [details]
File: maps

Comment 8 Mikhail 2015-05-15 11:13:58 UTC
Created attachment 1025754 [details]
File: mountinfo

Comment 9 Mikhail 2015-05-15 11:13:59 UTC
Created attachment 1025755 [details]
File: namespaces

Comment 10 Mikhail 2015-05-15 11:14:01 UTC
Created attachment 1025756 [details]
File: open_fds

Comment 11 Mikhail 2015-05-15 11:14:02 UTC
Created attachment 1025757 [details]
File: proc_pid_status

Comment 12 Mikhail 2015-05-15 11:14:04 UTC
Created attachment 1025758 [details]
File: var_log_messages

Comment 13 Kalev Lember 2015-05-15 11:29:19 UTC
Thanks for the report. Did it happen in a wayland session?

Comment 14 Mikhail 2015-05-15 11:30:16 UTC
(In reply to Kalev Lember from comment #13)
> Thanks for the report. Did it happen in a wayland session?

yes

Comment 15 Fedora Update System 2015-05-15 12:20:21 UTC
gnome-software-3.16.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gnome-software-3.16.2-2.fc22

Comment 16 Kalev Lember 2015-05-15 12:25:40 UTC
Proposing as a F22 Final Freeze Exception.

This crash completely breaks GStreamer codec installation under the Wayland session. While it can be fixed with an update, the fix is small and self contained and would be nice to pull in for the final media to make sure the software installation works properly out of the box.

How to reproduce:

Download a video file that that needs additional codecs. Open it in Videos (totem). Videos presents a dialog, asking you if you want to find a codec. Click "Find in Software", observe gnome-software crashing when it launches.

Comment 17 Fedora Update System 2015-05-16 10:31:21 UTC
Package gnome-software-3.16.2-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-software-3.16.2-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8292/gnome-software-3.16.2-2.fc22
then log in and leave karma (feedback).

Comment 18 Petr Schindler 2015-05-18 17:59:13 UTC
Discussed at today's blocker review meeting [1]. 

This bug was accepted as Freeze Exception: This fix has a small footprint and gets rid of a crash, please pull the fix in.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2015-05-18

Comment 19 Fedora Update System 2015-05-19 00:00:03 UTC
gnome-software-3.16.2-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.